[ooo-build-commit] bin/applyflags
Jan Holesovsky
kendy at kemper.freedesktop.org
Sat Oct 31 13:19:21 PDT 2009
bin/applyflags | 44 ++++++++++++++++++++++++++------------------
1 file changed, 26 insertions(+), 18 deletions(-)
New commits:
commit f60c819ebe3c701ba7849652362f0ae010ee6e03
Author: Jan Holesovsky <kendy at suse.cz>
Date: Sat Oct 31 21:16:41 2009 +0100
Use --additional-sections, instead of multiple --distro's.
This is better because it applies patches in a more predictable order.
* bin/applyflags: The above change + a minor cleanup.
diff --git a/bin/applyflags b/bin/applyflags
index 53c1727..4e78e52 100755
--- a/bin/applyflags
+++ b/bin/applyflags
@@ -8,52 +8,60 @@ bindir=$1
builddir=$2
if test "z$bindir" == "z"; then
- echo "Serious error - requires path to bindir";
- exit 1;
+ echo "Serious error - requires path to bindir"
+ exit 1
fi
cd $bindir
source ./setup >& /dev/null
+SECTIONS="$OOO_ADDITIONAL_SECTIONS"
+
# do we use another builddir?
test -n "$builddir" && OOBUILDDIR=$builddir
-echo -n "--distro=$DISTRO";
+echo -n "--distro=$DISTRO"
+
if test -d $OOBUILDDIR/binfilter; then
- echo -n " --distro=Binfilter";
+ SECTIONS="$SECTIONS,Binfilter"
fi
if test -d $OOBUILDDIR/zlib; then
- echo -n " --distro=System";
+ SECTIONS="$SECTIONS,System"
fi
if test -d $OOBUILDDIR/odk; then
- echo -n " --distro=Sdk";
+ SECTIONS="$SECTIONS,Sdk"
fi
if test -d $OOBUILDDIR/swext -o -d $OOBUILDDIR/sdext -o -d $OOBUILDDIR/reportbuilder; then
- echo -n " --distro=Extensions";
+ SECTIONS="$SECTIONS,Extensions"
fi
if test -d $OOBUILDDIR/nlpsolver ; then
- echo -n " --distro=NLPSolver";
+ SECTIONS="$SECTIONS,NLPSolver"
fi
# The localize.sdf's are created during the build when they do not exits.
# Additionally, they are created using something like echo > localize.sdf, so
# even test -s is not helpful here :-(
if test -d $OOBUILDDIR/l10n; then
- echo -n " --distro=Localize";
+ SECTIONS="$SECTIONS,Localize"
fi
if test "$UNSTABLE_WP" = "YES" ; then
- echo -n " --distro=UnstableWP";
-fi
-if test -n "$OOO_ADDITIONAL_SECTIONS" ; then
- echo -n " --additional-sections=$OOO_ADDITIONAL_SECTIONS";
+ SECTIONS="$SECTIONS,UnstableWP"
fi
if test "z$PIECE" != "z"; then
- echo -n " --pieces --distro=Piece";
-fi ;
+ echo -n " --pieces"
+ SECTIONS="$SECTIONS,Piece"
+fi
+if test "$ENABLE_GRAPHITE" = "TRUE"; then
+ SECTIONS="$SECTIONS,Graphite"
+fi
+
+SECTIONS=`echo $SECTIONS | sed 's/^,//'`
+
+if test -n "$SECTIONS" ; then
+ echo -n " --additional-sections=$SECTIONS"
+fi
+
if test "$DEFUZZ_PATCHES" = "YES"; then
echo -n " --defuzz"
-fi ;
-if test "$ENABLE_GRAPHITE" = "TRUE"; then
- echo -n "--distro=Graphite";
fi
More information about the ooo-build-commit
mailing list